"use strict";

const fs        = require("fs");
const path      = require("path");
const Sequelize = require("sequelize");
const Setting  = {
  'ENV':{
    
    'db':{
    'host':'',
    'dbname':'',
    'user':'',
    'pwd':'',
    'port':3306
  }

  }
};

let node_env = process.env.NODE_ENV ? process.env.NODE_ENV : 'ENV';
let dbsetting = Setting[node_env]['db'];

let sequelize = new Sequelize(dbsetting['dbname'],dbsetting['user'],dbsetting['pwd'],{'host':dbsetting['host'],'port':dbsetting['port'],'dialect':'mysql'});

module.exports = sequelize;